## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class Constants

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.Constants

    public class Constants

extends java.lang.Object

Constants for consumers

Author:
  Idull

Field Summary
`static java.lang.String` `PREFERENCE_PAGE_ID`
`static java.lang.String` `PROBLEMS_VIEW_ID`
`static java.lang.String` `REFRESH_EDITOR_ACTION_ID`
`static java.lang.String` `REFRESH_REVERT_GROUP`
`static java.lang.String` `REVERT_EDITOR_ACTION_ID`
`static java.lang.String` `SAVE_PREFERENCE_GROUP`
`static java.lang.String` `SCHEMA_EDITOR_ID`
`static java.lang.String` `SCHEMA_EDITOR_NESTED_ID`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCHEMA_EDITOR_ID

    public static final java.lang.String SCHEMA_EDITOR_ID

See Also:
  Constant Field Values

### SCHEMA_EDITOR_NESTED_ID

    public static final java.lang.String SCHEMA_EDITOR_NESTED_ID

See Also:
  Constant Field Values

### REFRESH_EDITOR_ACTION_ID

    public static final java.lang.String REFRESH_EDITOR_ACTION_ID

See Also:
  Constant Field Values

### REVERT_EDITOR_ACTION_ID

    public static final java.lang.String REVERT_EDITOR_ACTION_ID

See Also:
  Constant Field Values

### PROBLEMS_VIEW_ID

    public static final java.lang.String PROBLEMS_VIEW_ID

See Also:
  Constant Field Values

### REFRESH_REVERT_GROUP

    public static final java.lang.String REFRESH_REVERT_GROUP

See Also:
  Constant Field Values

### SAVE_PREFERENCE_GROUP

    public static final java.lang.String SAVE_PREFERENCE_GROUP

See Also:
  Constant Field Values

### PREFERENCE_PAGE_ID

    public static final java.lang.String PREFERENCE_PAGE_ID

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()